import { jsx } from "react/jsx-runtime";
import React from "react";
import { render } from "@testing-library/react";
import { ThemeProvider } from "../../..";
import EventCard from ".";
const event = {
  name: "Yoga Class",
  place: "Gympass",
  time: "19 am"
};
const date = {
  day: "19",
  weekday: "thu",
  month: "dec"
};
describe("<Card />", () => {
  describe("Snapshots", () => {
    it("should match snapshot with default EventCard", () => {
      const { container } = render(
        /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsx(EventCard, { event, date }) })
      );
      expect(container).toMatchSnapshot();
    });
  });
});
